// {{ ansible_managed }}
//

JaasCap {

  hox.corem.server.CapLoginModule sufficient

    /* System builtin users are not allowed to use the editor service */
    predicate.1.class="hox.corem.login.NameLoginPredicate"
    predicate.1.args="negative=true,editor.regex=(serverdump|publisher|auto-actor|watchdog|workflow|webserver|importer|feeder|translation-workflow-robot)"

    /* only specific system user is allowed for the respective service */
    predicate.2.class="hox.corem.login.NameLoginPredicate"
    predicate.2.args="webserver.regex=webserver,publisher.regex=publisher,replicator.regex=replicator,workflow.regex=workflow,feeder.regex=feeder"

    /* if not forbidden by other rules, other services are accessible for all users */
    predicate.3.class="hox.corem.login.NameLoginPredicate"
    predicate.3.args="editor.regex=.*,debug.regex=.*,importer.regex=.*,system.regex=.*"
  ;
};
